Index: src/sas/sasgui/guiframe/gui_manager.py
===================================================================
--- src/sas/sasgui/guiframe/gui_manager.py	(revision e6de6b8b31744ebe652ab6206d60d0d20979c592)
+++ src/sas/sasgui/guiframe/gui_manager.py	(revision a4c24459af9d908f923d5abb9809c6744530b90c)
@@ -677,24 +677,27 @@
         update edit menu if available
         """
-        if event != None:
+        if event is not None:
             self.panel_on_focus = event.panel
         if self.panel_on_focus is not None:
-            #Disable save application if the current panel is in batch mode
-            flag = self.panel_on_focus.get_save_flag()
-            if self._save_appl_menu != None:
-                self._save_appl_menu.Enable(flag)
-
-            if self.panel_on_focus not in self.plot_panels.values():
-                for ID in self.panels.keys():
-                    if self.panel_on_focus != self.panels[ID]:
-                        self.panels[ID].on_kill_focus(None)
-
-            if self._data_panel is not None and \
-                            self.panel_on_focus is not None:
-                self.set_panel_on_focus_helper()
-                #update toolbar
-                self._update_toolbar_helper()
-                #update edit menu
-                self.enable_edit_menu()
+            # Disable save application if the current panel is in batch mode
+            try:
+                flag = self.panel_on_focus.get_save_flag()
+                if self._save_appl_menu != None:
+                    self._save_appl_menu.Enable(flag)
+
+                if self.panel_on_focus not in self.plot_panels.values():
+                    for ID in self.panels.keys():
+                        if self.panel_on_focus != self.panels[ID]:
+                            self.panels[ID].on_kill_focus(None)
+
+                if self._data_panel is not None and \
+                                self.panel_on_focus is not None:
+                    self.set_panel_on_focus_helper()
+                    #update toolbar
+                    self._update_toolbar_helper()
+                    #update edit menu
+                    self.enable_edit_menu()
+            except wx._core.PyDeadObjectError:
+                pass
 
     def disable_app_menu(self, p_panel=None):
@@ -1904,10 +1907,17 @@
     def _on_open_state_project(self, event):
         """
+        Load in a .svs project file after removing all data from SasView
         """
         path = None
         if self._default_save_location == None:
             self._default_save_location = os.getcwd()
-        msg = "This operation will set SasView to its freshly opened state "
-        msg += "before loading the project. Do you wish to continue?"
+        msg = "This operation will set remove all data, plots and analyses from"
+        msg += " SasView before loading the project. Do you wish to continue?"
+        self._data_panel.selection_cbox.SetValue('Select all Data')
+        self._data_panel._on_selection_type(None)
+        for _, theory_dict in self._data_panel.list_cb_theory.iteritems():
+            for  key, value in theory_dict.iteritems():
+                item, _, _ = value
+                item.Check(True)
         if not self._data_panel.on_remove(None, msg):
             wx.PostEvent(self, StatusEvent(status="Loading Project file..."))
@@ -1934,6 +1944,4 @@
         self._data_panel.set_panel_on_focus()
         # Remove all loaded data
-        self._data_panel.selection_cbox.SetValue('Select all Data')
-        self._data_panel._on_selection_type(None)
         for plugin in self.plugins:
             plugin.clear_panel()
Index: src/sas/sasgui/perspectives/calculator/calculator.py
===================================================================
--- src/sas/sasgui/perspectives/calculator/calculator.py	(revision d85c194ea2f78cb2b9b3de9c969e1b8ebea6b6d2)
+++ src/sas/sasgui/perspectives/calculator/calculator.py	(revision a0c1e1de9eb99665b31c85c4fddcfca740db719c)
@@ -80,5 +80,5 @@
                 ("Kiessig Thickness Calculator",
                         kiessig_help, self.on_calculate_kiessig),
-                          ("SAS Resolution Estimator",
+                          ("Q Resolution Estimator",
                         resolution_help, self.on_calculate_resoltuion),
                 ("Generic Scattering Calculator",
Index: src/sas/sasgui/perspectives/calculator/pyconsole.py
===================================================================
--- src/sas/sasgui/perspectives/calculator/pyconsole.py	(revision f1cbae76f663f0b5d581265b20a168fdcaca6f90)
+++ src/sas/sasgui/perspectives/calculator/pyconsole.py	(revision 0912b405bd0067ba7456b60f02342b50c7f6671b)
@@ -231,4 +231,11 @@
         if result.path:
             self.bufferCreate(result.path)
+
+        # See if there is a corresponding C file
+        if result.path != None:
+            c_filename = os.path.splitext(result.path)[0] + ".c"
+            if os.path.isfile(c_filename):
+                self.bufferCreate(c_filename)
+
         cancel = False
         return cancel
Index: src/sas/sasgui/perspectives/calculator/resolution_calculator_panel.py
===================================================================
--- src/sas/sasgui/perspectives/calculator/resolution_calculator_panel.py	(revision d0248bd59e16e863c884f4be9af0a03b2a86b6e2)
+++ src/sas/sasgui/perspectives/calculator/resolution_calculator_panel.py	(revision a0c1e1de9eb99665b31c85c4fddcfca740db719c)
@@ -63,5 +63,5 @@
     """
     ## Internal nickname for the window, used by the AUI manager
-    window_name = "SAS Resolution Estimator"
+    window_name = "Q Resolution Estimator"
     ## Name to appear on the window title bar
     window_caption = ""
@@ -1329,5 +1329,5 @@
     """
     def __init__(self, parent=None, manager=None,
-                 title="SAS Resolution Estimator",
+                 title="Q Resolution Estimator",
                  size=(PANEL_WIDTH * 2, PANEL_HEIGHT), *args, **kwds):
         kwds['title'] = title
Index: src/sas/sasgui/perspectives/file_converter/media/file_converter_help.rst
===================================================================
--- src/sas/sasgui/perspectives/file_converter/media/file_converter_help.rst	(revision da456fba6ab06ddec7ae847f352aff18d1d855d1)
+++ src/sas/sasgui/perspectives/file_converter/media/file_converter_help.rst	(revision d73998cb7afc31b78a37055063aeb56b7c0d1036)
@@ -9,24 +9,24 @@
 -----------
 
-This tool converts file formats with the Q data and intensity data in separate
-files, into a single CanSAS XML or NXcanSAS HDF5 file.
+This tool converts file formats with the Q data and Intensity data stored in separate
+files, into a single CanSAS (XML) or NXcanSAS (HDF5) file.
 
-It can also convert 2D BSL files into NXcanSAS HDF5 files.
+It can also convert 2D BSL/OTOKO files into a NXcanSAS file.
 
-Supported input file formats:
+Supported input file formats (examples may be found in the /test/convertible_files folder):
 
-*   Single column ASCII data, with lines that end with a digit (no delimiter),
-    comma or semi-colon.
-*   `One-Dimensional OTOKO formatted
+*   Single-column ASCII data, with lines that end without any delimiter,
+    or with a comma or semi-colon delimiter
+*   `1D BSL/OTOKO format
     <http://www.diamond.ac.uk/Beamlines/Soft-Condensed-Matter/small-angle/
-    SAXS-Software/CCP13/XOTOKO.html>`_ data.
-*   `Two-Dimensional BSL formatted
+    SAXS-Software/CCP13/BSL.html>`_ data
+*   `2D BSL/OTOKO format
     <http://www.diamond.ac.uk/Beamlines/Soft-Condensed-Matter/small-angle/
-    SAXS-Software/CCP13/BSL.html>`_ data.
+    SAXS-Software/CCP13/BSL.html>`_ data
 
-Supported output file formats@
+Supported output file formats:
 
-*   `CanSAS XML <http://www.cansas.org/formats/canSAS1d/1.1/doc/>`_
-*   `NXcanSAS HDF5 <http://download.nexusformat.org/sphinx/classes/contributed_definitions/NXcanSAS.html>`_
+*   `CanSAS <http://www.cansas.org/formats/canSAS1d/1.1/doc/>`_
+*   `NXcanSAS <http://download.nexusformat.org/sphinx/classes/contributed_definitions/NXcanSAS.html>`_
 
 .. ZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZ
@@ -35,18 +35,19 @@
 --------------
 
-1) Select the files containing your Q-Axis and Intensity-Axis data
-2) Chose whether the files are in ASCII, OTOKO or BSL format
-3) Chose where you would like to save the converted file
+1) Select the files containing your Q-axis and Intensity-axis data
+2) Choose whether the files are in ASCII, 1D BSL/OTOKO or 2D BSL/OTOKO format
+3) Choose where you would like to save the converted file
 4) Optionally, input some metadata such as sample size, detector name, etc
-5) Click *Convert* to save the converted file to disk
+5) Click *Convert* to save the converted file
 
 Files With Multiple Frames
 ^^^^^^^^^^^^^^^^^^^^^^^^^^
 
-If a BSL/OTOKO file with multiple frames is selected for the intensity-axis
+If a BSL/OTOKO file with multiple frames is selected for the Intensity-axis
 file, a dialog will appear asking which frames you would like converted. You
 may enter a start frame, end frame & increment, and all frames in that subset
-will be converted. For example: entering 0, 50 and 10 for the first frame, last
-frame, and increment respectively will convert frames 0, 10, 20, 30, 40 & 50.
+will be converted. For example, entering 0, 50 and 10 will convert frames 0, 
+10, 20, 30, 40 & 50.
+
 To convert a single frame, enter the same value for first frame & last frame,
 and 1 as the increment.
@@ -54,10 +55,13 @@
 CanSAS XML files can become quite large when exporting multiple frames to a
 single file, so there is an option in the *Select Frame* dialog to output each
-frame to it's own file. The single file option will produce one file with
-multiple `<SASdata>` elements. The multiple file option will output a file for
-each frame; each file will have one `<SASdata>` element, and the frame number
-will appended to the file name.
+frame to its own file. The single file option will produce one file with
+multiple `<SASdata>` elements. The multiple file option will output a separate 
+file with one `<SASdata>` element for each frame. The frame number will also be 
+appended to the file name.
 
-The multiple file option is not available when exporting to NXcanSAS. All
-frames will be written to the same file, since the HDF5 format is designed for
-handling large amounts of data.
+The multiple file option is not available when exporting to NXcanSAS because 
+the HDF5 format is more efficient at handling large amounts of data.
+
+
+.. note::
+    This help document was last changed by Steve King, 08Oct2016
Index: src/sas/sasgui/perspectives/fitting/basepage.py
===================================================================
--- src/sas/sasgui/perspectives/fitting/basepage.py	(revision 47f2b5d45af5a67c5de39b0539edcbfbe5acbe7c)
+++ src/sas/sasgui/perspectives/fitting/basepage.py	(revision 47f2b5d45af5a67c5de39b0539edcbfbe5acbe7c)
@@ -514,10 +514,7 @@
     def initialize_combox(self):
         """
-        put default value in the combobox
-        """
-        ## fill combox box
-        if self.model_list_box is None:
-            return
-        if len(self.model_list_box) > 0:
+        put default value in the combo box
+        """
+        if self.model_list_box is not None and len(self.model_list_box) > 0:
             self._populate_box(self.structurebox,
                                self.model_list_box["Structure Factors"])
@@ -528,10 +525,4 @@
             self.structurebox.Disable()
             self.text2.Disable()
-
-            if self.model.__class__ in self.model_list_box["P(Q)*S(Q)"]:
-                self.structurebox.Show()
-                self.text2.Show()
-                self.structurebox.Enable()
-                self.text2.Enable()
 
     def set_dispers_sizer(self):
@@ -1962,5 +1953,5 @@
             form_factor = self.formfactorbox.GetClientData(f_id)
 
-        if not form_factor in  self.model_list_box["multiplication"]:
+        if form_factor is None or not form_factor.is_form_factor:
             self.structurebox.Hide()
             self.text2.Hide()
Index: src/sas/sasgui/perspectives/fitting/fitpage.py
===================================================================
--- src/sas/sasgui/perspectives/fitting/fitpage.py	(revision 4c3be25d8a666eaaf1edd8b30db518e151535fe6)
+++ src/sas/sasgui/perspectives/fitting/fitpage.py	(revision b4818d94e15995eb79ffc8596cc2f32748f2dcfe)
@@ -364,5 +364,5 @@
         self.Bind(wx.EVT_RADIOBUTTON, self.onSlitSmear,
                   id=self.slit_smearer.GetId())
-        self.disable_smearer.SetValue(True)
+        self.enable_smearer.SetValue(True)
 
         sizer_smearer.Add(self.disable_smearer, 0, wx.LEFT, 10)
